Account
Regenerate webhook token
POST
Generate a new webhook token for an integration. The old token is immediately invalidated.
sessioncookie
better-auth.session_token<token>Better Auth session cookie
provider*stringMedia server provider type
Value in
"plex""jellyfin""emby""sonarr""radarr"application/json- body
Integration with new token
application/json- response
A media server integration configuration
id*stringIntegration ID
provider*stringProvider name (plex, jellyfin, etc.)
type*stringIntegration type: webhook (Plex/Jellyfin/Emby) or list (Sonarr/Radarr)
Value in
"webhook""list"token*stringWebhook authentication token
enabled*booleanWhether the integration is active
lastEventAt*|Last received event timestamp (ISO 8601)
createdAt*stringWhen the integration was created (ISO 8601)
curl -X POST "https://example.com/account/integrations/plex/regenerate-token" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "provider": "string", "type": "webhook", "token": "string", "enabled": true, "lastEventAt": "string", "createdAt": "string"}